# 32/64bit spec
#
%define release	%mkrel 2

%define name    mousepad 
%define version 0.4.0
%define iconname %{name}.png


Summary: A simple text editor for Xfce
Summary(de):	Ein einfacher Texteditor für Xfce
Name: %{name}
Version: %{version}
Release: %release
License: GPL
Group: Editors
Source0: %{name}-%{version}.tar.xz
Patch1:	mousepad-001.patch
Patch2:	mousepad-002.patch
Patch3:	mousepad-003.patch
Patch4:	mousepad-004.patch
Source1: %{name}.png
URL: http://erikharrison.net/software/
BuildRoot: %{_tmppath}/%{name}-buildroot
#------------------------------------------------
BuildRequires:	xfce4-dev-tools
BuildRequires:	ImageMagick
BuildRequires:  perl(XML::Parser)
BuildRequires:  desktop-file-utils
BuildRequires: %{_lib}atk1.0-devel
BuildRequires: %{_lib}cairo-devel
BuildRequires: %{_lib}dbus-1-devel
BuildRequires: %{_lib}dbus-glib-1_2-devel
BuildRequires: %{_lib}exo-devel
BuildRequires: %{_lib}gdk_pixbuf2.0_0-devel
BuildRequires: %{_lib}glib2.0_0-devel
BuildRequires: %{_lib}gtk+2.0_0-devel
BuildRequires: %{_lib}gtksourceview2-2.0_0-devel
BuildRequires: %{_lib}pango1.0-devel
#------------------------------------------------
Requires(post): desktop-file-utils
Requires(postun): desktop-file-utils
Obsoletes:  %name < %version
Requires:   gtksourceview2

%description
Mousepad is a text editor for Xfce based on Leafpad. The initial reason for 
Mousepad was to provide printing support, which would have been difficult 
for Leafpad for various reasons.

Although some features are under development, currently Mousepad has the
following features:

    * Complete support for UTF-8 text
    * Cut/Copy/Paste and Select All text
    * Search and Replace
    * Font selecton
    * Word Wrap
    * Character coding selection
    * Auto character coding detection (UTF-8 and some codesets)
    * Manual codeset setting
    * Infinite Undo/Redo by word
    * Auto Indent
    * Multi-line Indent
    * Display line numbers
    * Drag and Drop
    * Printing

#german
%description -l de
Mousepad ist ein Texteditor für Xfce, der auf leafpad basiert. Der ursprüngliche Grund, warum
Mousepad geschrieben wurde, war das Vorhaben den Druckvorgang zu unterstützen, was für leafpad aus
verschiedenen Gründen schwierig war. 

Obwohl einige Funktionen in der Entwicklung sind, hat Mousepad derzeit die 
folgenden Merkmale: 

     * Vollständige Unterstützung von UTF-8-Text 
     * Ausschneiden/Kopieren/Einfügen und den gesamten Text auswählen
     * Suchen und Ersetzen 
     * Verstellbare Schriftart 
     * Zeilenumbruch 
     * Zeichensatz Auswahl 
     * Automatische Erkennung der Zeichencodierung (UTF-8 und einige Zeichensätze) 
     * Manuelle Einstellung des Zeichensatzes 
     * Unendliches Rückgängig/Wiederholen 
     * Automatisches Einrücken 
     * Multi-line-Einzug 
     * Zeilennummern anzeigen 
     * Ziehen und Loslassen
     * Drucken

     
%prep 
%setup -q -n %{name}-%{version}
%apply_patches

%build 
sed -i 's/accessories-text-editor/mousepad/g' %{name}.desktop.in.in

%configure2_5x \
	--enable-dbus=yes \
	--enable-keyfile-settings \
	--enable-gtk3=no

%make

%install
rm -Rf %{buildroot} 
%makeinstall_std

mkdir -p %{buildroot}{%{_miconsdir},%{_iconsdir},%{_liconsdir},%{_menudir}}
convert %{SOURCE1} -geometry 48x48 %{buildroot}%{_liconsdir}/%{iconname}
convert %{SOURCE1} -geometry 32x32 %{buildroot}%{_iconsdir}/%{iconname} 
convert %{SOURCE1} -geometry 16x16 %{buildroot}%{_miconsdir}/%{iconname}
mkdir -p %{buildroot}%{_datadir}/pixmaps
install -m 644 %{SOURCE1} %{buildroot}%{_datadir}/pixmaps

desktop-file-install --vendor="" \
--remove-category="Application" \
--add-category="X-MandrivaLinux-MoreApplications-Editors" \
--dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*

# don't ship .la
find %{buildroot} -name '*.la' -exec rm -f {} \;

# don't ship .a
find %{buildroot} -name '*.a' -exec rm -f {} \;

%post
%{update_desktop_database}
/usr/bin/glib-compile-schemas /usr/share/glib-2.0/schemas

%postun
%{clean_desktop_database}
/usr/bin/glib-compile-schemas /usr/share/glib-2.0/schemas

%clean 
rm -rf $RPM_BUILD_ROOT

%files
%defattr (-,root,root)
%doc AUTHORS COPYING INSTALL README 
%{_bindir}/* 
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/* 
%{_miconsdir}/%{iconname}
%{_iconsdir}/%{iconname}
%{_liconsdir}/%{iconname}
%{_datadir}/locale/*
%{_datadir}/glib-2.0/schemas/org.xfce.mousepad.gschema.xml  

%changelog
* Sat Oct 10 2015 bb <bb> 0.4.0-2pclos2015
- rebuild with patches

* Thu Dec 26 2013 bb <bb> 0.3.0-3pclos2013
- clean up specfile
- add correct BR

* Wed Dec 25 2013 ghostbunny <hmhaase at pclinuxosusers dot de> 0.3.0-2pclos2013
- rebuild against new gtksourceview2
- add R gtksourceview2
- add missing BRs

* Sun Jan 13 2013 ghostbunny <hmhaase at pclinuxosusers dot de> 0.3.0-1pclos2013
- 0.3.0
- removed patches v0.3.0 is completly  rewritten and nothing from the patches does exist anymore
- added old icon tarball does not contain one
- fixed files section (removed ChangLog)

